//Simpson's 1/3rd Rule 
//Evaluates the definite integral of a function f(x), from a to b.
//Written By: Manas Sharma(www.bragitoff.com)
funcprot(0);
function ans=simpson(a,b,n,g)//function definition of simpson 
    h=(b-a)/n;
    sum=0;
    for i=1:n-1
        x=a+i*h;
        if modulo(i,2)==0
            sum=sum+2*g(x);
        else 
            sum=sum+4*g(x);
        end 
    end
    ans=(h/3)*(g(a)+g(b)+sum);
endfunction
//NOTE: When the function is called the value of the third argument that is, n, should be an even no.
