//Simpson's 3/8th Rule 
//Evaluates the definite integral of a function f(x), from a to b.
//Written By: Manas Sharma(www.bragitoff.com)
funcprot(0);
function ans=simpson2(a,b,n,f)//function definition of simpson
    h=(b-a)/n;
    sum=0;
    for i=1:n-1
        x=a+i*h;
        if modulo(i,3)==0
            sum=sum+2*f(x);
        else 
            sum=sum+3*f(x);
        end 
    end
    ans=(3*h/8)*(f(a)+f(b)+sum);
endfunction
//NOTE: When the function is called the value of the third argument that is, n, should be a multiple of 3.
