//Trapezoidal Rule 
//Evaluates the definite integral of a function f(x), from a to b.
//Written By: Manas Sharma(www.bragitoff.com)
funcprot(0);
function ans=trapez(a,b,n,f)//function definition of simpson
    h=(b-a)/n;
    sum=0;
    for i=1:n-1
        x=a+i*h;
        sum=sum+2*f(x);
    end
    ans=(h/2)*(f(a)+f(b)+sum);
endfunction
